<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Corponess Pro
	 * @since Corponess Pro 1.0.0
	 */

	/**
	 * corponess_pro_doctype hook
	 *
	 * @hooked corponess_pro_doctype -  10
	 *
	 */
	do_action( 'corponess_pro_doctype' );

?>
<head>
<?php
	/**
	 * corponess_pro_before_wp_head hook
	 *
	 * @hooked corponess_pro_head -  10
	 *
	 */
	do_action( 'corponess_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body 
	<?php 
	$options = corponess_pro_get_theme_options();
	$project = $options['project_section_enable'] == 'true' ? 'projects-section-enabled' : 'projects-section-disable';
	body_class( $project ); 
	?>
>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * corponess_pro_page_start_action hook
	 *
	 * @hooked corponess_pro_page_start -  10
	 *
	 */
	do_action( 'corponess_pro_page_start_action' ); 

	/**
	 * corponess_pro_loader_action hook
	 *
	 * @hooked corponess_pro_loader -  10
	 *
	 */
	do_action( 'corponess_pro_before_header' );

	/**
	 * corponess_pro_header_action hook
	 *
	 * @hooked corponess_pro_header_start -  10
	 * @hooked corponess_pro_site_branding -  20
	 * @hooked corponess_pro_site_navigation -  30
	 * @hooked corponess_pro_header_end -  50
	 *
	 */
	do_action( 'corponess_pro_header_action' );

	/**
	 * corponess_pro_content_start_action hook
	 *
	 * @hooked corponess_pro_content_start -  10
	 *
	 */
	do_action( 'corponess_pro_content_start_action' );

	/**
	 * corponess_pro_header_image_action hook
	 *
	 * @hooked corponess_pro_header_image -  10
	 *
	 */
	do_action( 'corponess_pro_header_image_action' );

    if ( corponess_pro_is_frontpage() ) {
    	$options = corponess_pro_get_theme_options();

    	$sorted = array( 'slider', 'service', 'about', 'client', 'project', 'feature', 'cta', 'team', 'testimonial', 'blog', 'subscribe' );
    	
    	if ( $options['home_layout'] == 'second-design' || $options['home_layout'] == 'fourth-design' ) {
    		$sorted = array( 'slider', 'service', 'cta', 'project', 'feature', 'team', 'testimonial', 'blog', 'client', 'about', 'subscribe' );
    	}

    	if ( $options['home_layout'] == 'third-design' ) {
    		$sorted = array( 'slider', 'about', 'cta', 'service', 'client', 'project', 'feature', 'team', 'testimonial', 'blog', 'subscribe' );
    	}

    	if ( $options['home_layout'] == 'fifth-design' ) {
    		$sorted = array( 'slider', 'about', 'cta', 'team', 'feature', 'blog' );
    	}

    	if ( $options['home_layout'] == 'sixth-design' ) {
    		$sorted = array( 'popular', 'featured', 'recent', 'most_view', 'blog' );
    	}

		foreach ( $sorted as $section ) {
			add_action( 'corponess_pro_primary_content', 'corponess_pro_add_'. $section .'_section' );
		}

		do_action( 'corponess_pro_primary_content' );
	}