<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Corponess Pro
 * @since Corponess Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'corponess_pro_menu', array(
	'title'             => esc_html__('Header Menu','corponess-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'corponess-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'corponess_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'corponess_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Corponess_Pro_Switch_Control( $wp_customize, 'corponess_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'corponess-pro' ),
	'section'           => 'corponess_pro_menu',
	'on_off_label' 		=> corponess_pro_switch_options(),
) ) );

// search enable setting and control.
$wp_customize->add_setting( 'corponess_pro_theme_options[social_nav_enable]', array(
	'sanitize_callback' => 'corponess_pro_sanitize_switch_control',
	'default'           => $options['social_nav_enable'],
) );

$wp_customize->add_control( new Corponess_Pro_Switch_Control( $wp_customize, 'corponess_pro_theme_options[social_nav_enable]', array(
	'label'             => esc_html__( 'Enable Social Links', 'corponess-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu.', 'corponess-pro' ), esc_html__( 'Click Here', 'corponess-pro' ), esc_html__( 'to create menu', 'corponess-pro' ) ),
	'section'           => 'corponess_pro_menu',
	'on_off_label' 		=> corponess_pro_switch_options(),
) ) );


if ( $options['home_layout'] == 'sixth-design' ) {
	// video link setting and control
	$wp_customize->add_setting( 'corponess_pro_theme_options[header_ads_link]', array(
	    'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'corponess_pro_theme_options[header_ads_link]', array(
	    'label'             => esc_html__( 'Ads Link', 'corponess-pro' ),
	    'section'           => 'corponess_pro_menu',
	    'type'              => 'url',
	) );

	// recent image setting and control.
	$wp_customize->add_setting( 'corponess_pro_theme_options[header_ads_image]', array(
	    'sanitize_callback' => 'corponess_pro_sanitize_image',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'corponess_pro_theme_options[header_ads_image]',
	    array(
	    'label'             => esc_html__( 'Background Image ', 'corponess-pro' ), 
	    'description'       => sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'corponess-pro' ), 900, 100 ),
	    'section'           => 'corponess_pro_menu',
	) ) );

}
